<script>
    import Danger from 'components/Icons/Danger.svelte'
</script>

<div>
    <span><Danger /></span>
    <h3><slot /></h3>
</div>

<style lang="postcss">
    div {
        @apply absolute top-4 inset-x-0 flex items-center gap-x-4 bg-red-50 p-4 rounded-xl mb-4 mx-12;

        span {
            @apply flex-shrink-0 text-red-400;
        }

        h3 {
            @apply font-medium text-red-800;
        }
    }
</style>
